export const STATUS = {
    SAVED: 'SAVED',
    PENDING: 'PENDING',
    REFUSED: 'REFUSED',
    VALIDATED: 'VALIDATED'
};

const refundRequest = function (sequelize, Sequelize) {
    const refundRequest = sequelize.define('refundRequest',
        {
            id: {
                primaryKey: true,
                type: Sequelize.UUID,
                defaultValue: Sequelize.UUIDV4
            },
            invoiceDate: {
                type: Sequelize.DATE,
                allowNull: true
            },
            status: {
                type: Sequelize.ENUM,
                values: Object.values(STATUS),
                validate: {
                    isIn: [Object.values(STATUS)],
                },
                allowNull: false,
                defaultValue: STATUS.SAVED,
            },
            actualCost: {
                type: Sequelize.DOUBLE,
                allowNull: false
            },
            amount: {
                type: Sequelize.DOUBLE
            },
            refunded_NostrumCare: {
                type: Sequelize.DOUBLE,
                allowNull: true
            },
            refundDate_NostrumCare: {
                type: Sequelize.DATE,
                allowNull: true
            },
            ibanHolderName: {
                type: Sequelize.STRING,
                allowNull: true
            },
            iban: {
                type: Sequelize.STRING,
                allowNull: true
            },
            bic: {
                type: Sequelize.STRING,
                allowNull: true
            },
            document: {
                type: Sequelize.ARRAY(Sequelize.STRING),
                allowNull: true
            },
            userComment: {
                type: Sequelize.TEXT,
                allowNull: true
            },
            agentComment: {
                type: Sequelize.TEXT,
                allowNull: true
            }
            //fk_beneficiaryId
            //fk_userId > parent (master account)
            //fk_myCoverId
        });

    return refundRequest;
};

export default refundRequest;
